/*********************************************************************
 *
 * </demo/techno_ryowa_demo/common/js/common.js>
 *
 * 
 * ===================================================================
 *
 *  このJavScriptの動作には、以下のjsファイルが必要です。
 *
 *     - jquery.js (1.3)
 *     - jquery.equalheights.js (2.0)
 *     - jquery.preload.js (1.0.7)
 *
 *********************************************************************/

/*  set Vars
---------------------------------------------------------- */

var windowStatus = {
			size900 : 'scrollbars=yes,resizable=yes,menubar=no,directories=no,status=no,location=no,width=900,height=760',
			size740 : 'scrollbars=yes,resizable=yes,menubar=no,directories=no,status=no,location=no,width=740,height=715',
			size660 : 'scrollbars=yes,resizable=yes,menubar=yes,toolbar=yes,status=yes,width=660,height=550',
			sizefree : 'scrollbars=yes,resizable=yes,menubar=yes,toolbar=yes,status=yes,location=yes'
};
var newWindow = {
			size740 : 0,
			size660 : 0,
			sizefree : 0
};
var thisURL = document.URL;


/*  function
---------------------------------------------------------- */

function windowOpen(url, setStatus) {
	newWin = window.open(url, '', setStatus);
	//newWindow[windowName].focus();
}

function noDrug(Tag){
	var tgtTag=document.getElementsByTagName(Tag);
	for(var i=0;i<tgtTag.length;i++){
		tgtTag[i].ondragstart=function(){
			return false;
		}
		tgtTag[i].onselectstart=function(){
			return false;
		}
	}
}

function new_win_pdf(pdfsrc){
	
	pdfsrc="../"+pdfsrc+"#zoom=100";
	pdf_src_set = 'common/pdf_modal.hta';
	window.showModalDialog(pdf_src_set, pdfsrc,"dialogHeight:760px; dialogWidth:900px;");	
	return false;
}

/*  Document.onLoad
---------------------------------------------------------- */

$(function(){
	// Preload
	$("img, input").preload({ find: "_off.", replace: "_on."});
	// Rollover
	$("img.rollover, input[type=image]").hover(
		function(){ this.src = this.src.replace("_off.","_on."); },
		function(){ this.src = this.src.replace("_on.","_off."); }
	);
	
	
	// treeview	
	$("h2.vol_title,li.chapter p").hover(
		function(){$(this).addClass("hover");},
		function(){ $(this).removeClass("hover");}
	).click(function(){
		if($(this).parent().attr("class").indexOf("open")==-1){
			$(this).parent().addClass("open");
		}
		else {
			$(this)	.parent().removeClass("open");
		}
	});
	
	// list_last_child_init	
	$("ul.chapter_sections").find("li:last").addClass("last");
	
	
	//tab_menu
	
	$("#tab_menu li").not("current").hover(
		function(){ $(this).addClass("hover"); },
		function(){ $(this).removeClass("hover");
	});
	
	$("#tab_menu li.content_tab").not("current").click(function(){
																															
		$("#content_body").css("display","block");
		$("#search_body").css("display","none");
		$("#tab_menu li").removeClass("current");
		$(this).addClass("current");
	});
	
	$("#tab_menu li.search_tab").not("current").click(function(){
																														
		$("#content_body").css("display","none");
		$("#search_body").css("display","block");
		$("#tab_menu li").removeClass("current");
		$(this).addClass("current");
	});

		
	// Link Icon (Blank)
	$("a.blank, a.popup")
		.click(
			function(){
				if($(this).attr("rel")) {
					thisStatus = windowStatus[$(this).attr("rel")];
					thisWindowName = $(this).attr("rel");
				} else {
					thisStatus = windowStatus["sizefree"];
					thisWindowName = "sizefree";
				}
				windowOpen(this.href, thisWindowName, thisStatus);
				return false;
			}
		)
		.not('.no_icon')
		.append('<img class="link_icon" src="common/images/icon_blank.gif" alt="サブウィンドウで開きます" />');
	
	// Link Icon (PDF)
	$("a.pdf")
		.click(
			function(){
				//thisStatus = windowStatus["size900"];
				//windowOpen(pdf_url, thisStatus);
				new_win_pdf($(this).attr("href"));
				return false;
			}
		);
	
	
	// Form input type_text
	$("input[type=text],input[type=password],input[type=file],select,textarea").hover(
		function(){ $(this).addClass("hover"); },
		function(){ $(this).not(".focus").removeClass("hover"); }
	).focus(
		function(){ $(this).addClass("focus"); }
	).blur(
		function(){ $(this).removeClass("focus hover"); }
	);
	
	$("input[type=submit]").hover(
		function(){ $(this).addClass("hover"); },
		function(){ $(this).removeClass("hover"); 
	});
	
	noDrug("img");
	noDrug("h2");
	noDrug("a");
	noDrug("li");
	
	
});


/*  set min-width for IE6
---------------------------------------------------------- */
/*(function(){
  if(navigator.userAgent.indexOf("MSIE 6.0")==-1) return;
  var min_max_width = function(){
    var w = document.body.clientWidth;
    document.getElementById("body").style.width = w < 550? "550px" : "auto";
  };

  attachEvent("onload" , min_max_width);
  attachEvent("onresize", min_max_width);
})();*/
